Subject: bug#63563: 29.0.91; package.el should not install unselected packages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Jun 2023 21:30:09 +0300

> From: Howard Melman <[email-masked]>
> Date: Thu, 01 Jun 2023 12:36:28 -0400
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It turns out this behavior is new in Emacs 29, see bug#40457 and NEWS.
> > Since the new behavior is incompatible with the old one, I have now
> > added a new user option, package-menu-use-current-if-no-marks, to get
> > back the old behavior, and mentioned it in NEWS.  You can now
> > customize that option to a nil value to get what you want.
> 
> Should the default value of
> package-menu-use-current-if-no-marks be nil?
> 
> That would follow the convention of old behavior being
> unchanged unless the user does something to enable the new
> behavior.

The discussion about that should have happened a year ago, when this
change was made.  Since it haven't, we cannot just undo what's been
done a year ago and didn't receive any complaints until now.  Sorry,
we will have to make do with at least the possibility to go back to
the old behavior.